<%-- 
    Document   : exportar_cambios_fijos
    Created on : 31-oct-2018, 17:01:58
    Author     : sistem20user
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="pe.siso.horario.Beans.Horario"%>
<%@page import="pe.siso.horario.Beans.Aula"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page import="pe.siso.horario.Services.AulaServices"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Beans.Usuario"%>
<%@page import="java.time.format.DateTimeFormatter"%>
<%@page import="java.time.LocalDateTime"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <%
            
//        response.setContentType("application/vnd.ms-excel; ");
//        response.setHeader("Content-Disposition","attachment; filename=cambio-dia.xls");
        HttpSession session_actual = request.getSession(true);
        Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
        
        DateTimeFormatter dtf = DateTimeFormatter.ofPattern("dd/MM/yyyy");  
        LocalDateTime now = LocalDateTime.now();  
            
        String fechaDesde = request.getParameter("fechaDesde");
        String fechaHasta = request.getParameter("fechaHasta");
        String[] dias = {"Lunes","Martes","Miercoles","Jueves","Viernes","Sabado","Domingo"};
        
//        String centrado="style='vertical-align:middle;' ";
        String centrado=" align='center' ";
        
        DocenteServices serviceDocente = new DocenteServices();
        ArrayList<Horario> lista = serviceDocente.listarCambiosDia(fechaDesde,fechaHasta);
        %>

        <table  cellpadding= '0' cellspacing= '0'>
            <tr>
                <td <%=centrado%> colspan='5' align='center'><h3>LISTADO CAMBIOS DIARIOS DE DOCENTES</h3></td>
            </tr> 
            <tr>
                <td colspan='5' height='10'></td>
            </tr> 
            <tr>
                <td colspan='3' >FUENTE: SISTEMA DE HORARIOS</td>
                <td colspan='2' align='right'>SACO OLIVEROS - SISTEMAS</td>
            </tr> 
            <tr>
                <td colspan='3' >RESPONSABLE: <%=usuario!=null?usuario.getNombreTipoUsuario():""%></td>
                <td colspan='2' align='right'></td>
            </tr> 
            <tr>
                <td colspan='5' height='20'>FECHA: <%=dtf.format(now)%></td>
            </tr>
            <tr>
                <td colspan='5' height='20'></td>
            </tr>           
        </table>
        <table border="2">
            <tr bgcolor="lightyellow">
                <td <%=centrado%> colspan="5">DATOS GENERALES</td>
                <td <%=centrado%> colspan="4">DOCENTE QUE FALTA</td>
                <td <%=centrado%> colspan="4">DOCENTE QUE REEMPLAZA</td>
            </tr>
            <tr bgcolor="lightgreen">
                <td <%=centrado%> style="padding: 10px">SEDE</td>
                <td <%=centrado%> style="padding: 10px">DIA</td>
                <td <%=centrado%> style="padding: 10px">HORARIO</td>
                <td <%=centrado%> style="padding: 10px">GRADO</td>
                <td <%=centrado%> style="padding: 10px">CURSO</td>
                <td <%=centrado%> style="padding: 10px">FECHA</td>
                <td <%=centrado%> style="padding: 10px">APELLIDOS Y NOMBRES</td>
                <td <%=centrado%> style="padding: 10px">MOTIVO</td>
                <td <%=centrado%> style="padding: 10px">HORA AVISO</td>
                <td <%=centrado%> style="padding: 10px">APELLIDOS Y NOMBRES</td>
                <td <%=centrado%> style="padding: 10px">CURSO</td>
                <td <%=centrado%> style="padding: 10px">OBSERVACION</td>
                <td <%=centrado%> style="padding: 10px">RECUPERACION</td>
            </tr>
            <%
           for(Horario horario : lista){
               Docente docente1 = serviceDocente.NombreDocente(horario.getH_codigoDocente());
               Docente docente2 = serviceDocente.NombreDocente(horario.getH_codigo_doc_reemp());
            %>
            <tr>
                <td style="padding : 10px"><%=horario.getNombreSede()%></td>
                <td style="padding : 10px"><%=dias[Integer.parseInt(horario.getH_dia()) - 1]%></td>
                <td style="padding : 10px"><%=horario.getH_horarioInicio()%> - <%=horario.getH_horarioFinal()%></td>
                <td style="padding : 10px"><%=horario.getNombreGrado()%></td>
                <td style="padding : 10px"><%=horario.getH_nombreCurso()%></td>
                <td style="padding : 10px"><%=horario.getH_fecha()%></td>
                <td style="padding : 10px"><%=docente1.getApe_pro() + ", " + docente1.getNom_pro()%></td>
                <td style="padding : 10px"><%=horario.getH_motivoCambio()%></td>
                <td style="padding : 10px"><%=horario.getH_horaAviso()%></td>
                <td style="padding : 10px"><%=docente2.getApe_pro() + ", " + docente2.getNom_pro()%></td>
                <td style="padding : 10px"><%=horario.getH_nombre_cur_reemp()%></td>
                <td style="padding : 10px"><%=horario.getH_observacion()%></td>
                <td style="padding : 10px"><%=horario.getRecuperacion()%></td>
            </tr>
            <%
            }
            %>
        </table>
    </body>
</html>
